Name:		perl-DBIx-Custom
Version:	0.45
Release:	1%{?dist}
Summary:	DBI extension to insert, update, delete, and select easily
License:	GPL+ or Artistic

URL:		https://metacpan.org/pod/DBIX/Custom
Source0:	https://cpan.metacpan.org/authors/id/K/KI/KIMOTO/DBIx-Custom-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	make
BuildRequires:	perl-interpreter
BuildRequires:	perl-generators
BuildRequires:	perl(strict)
BuildRequires:	perl(Object::Simple)
BuildRequires:	perl(ExtUtils::MakeMaker)

#	For tests.
BuildRequires:	perl(Test::Simple)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(DBI)
BuildRequires:	perl(DBIx::Connector)

%{?perl_default_filter}


%description
This is a DBI wrapper module to execute SQL easily. This module have the
following features:
- Execute insert, update, delete, or select statement easily
- Create where clause flexibly
- Named place holder support
- Model support
- Connection manager support
- Choice your favorite relational database management system, MySQL, SQLite,
  PostgreSQL, Oracle, Microsoft SQL Server, Microsoft Access, DB2 or anything,
- Filtering by data type or column name
- Create order by clause flexibly


#------------------------------------------------------------------------------.
%prep
#------------------------------------------------------------------------------.

%setup -q -n DBIx-Custom-%{version}


#------------------------------------------------------------------------------.
%build
#------------------------------------------------------------------------------.

%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}


#------------------------------------------------------------------------------.
%install
#------------------------------------------------------------------------------.

make pure_install DESTDIR="${RPM_BUILD_ROOT}"

%{_fixperms} "${RPM_BUILD_ROOT}"/*


#------------------------------------------------------------------------------.
%check
#------------------------------------------------------------------------------.

make test


#------------------------------------------------------------------------------.
%files
#------------------------------------------------------------------------------.

%doc Changes
%{perl_vendorlib}/DBIx*
%{_mandir}/man3/DBIx*


#------------------------------------------------------------------------------.
%changelog
#------------------------------------------------------------------------------.

* Sat Jul  8 2023 Patrick Monnerat <patrick@monnerat.net> 0.45-1
- Initial packaging.
